Package be.fgov.ehealth.timestamping.protocol.v2

# Class TSConsultRequest

java.lang.Object
be.fgov.ehealth.timestamping.protocol.v2.TSConsultRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:22+02:00", comments="JAXB RI v4.0.5") public class TSConsultRequest extends Object implements Serializable
request to behealth to check that the archive is complete

Java class for TSConsultRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TSConsultRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="IDHospital" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Period" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}PeriodType"/>
             <element name="TSList" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}TimeStampIdentification" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TSConsultRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIDHospital()`
  Gets the value of the idHospital property.
  `PeriodType`
  `getPeriod()`
  Gets the value of the period property.
  `List<TimeStampIdentification>`
  `getTSLists()`
  Gets the value of the tsLists property.
  `void`
  `setIDHospital(String value)`
  Sets the value of the idHospital property.
  `void`
  `setPeriod(PeriodType value)`
  Sets the value of the period property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TSConsultRequest

    public TSConsultRequest()

- ## Method Details

  - ### getIDHospital

    public String getIDHospital()
    Gets the value of the idHospital property.
    Returns:
      possible object is `String`

  - ### setIDHospital

    public void setIDHospital(String value)
    Sets the value of the idHospital property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPeriod

    public PeriodType getPeriod()
    Gets the value of the period property.
    Returns:
      possible object is `PeriodType`

  - ### setPeriod

    public void setPeriod(PeriodType value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `PeriodType`

  - ### getTSLists

    public List<TimeStampIdentification> getTSLists()
    Gets the value of the tsLists property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tsLists property.

    For example, to add a new item, do as follows:

         getTSLists().add(newItem);

    Objects of the following type(s) are allowed in the list `TimeStampIdentification`

    Returns:
      The value of the tsLists property.